### Signal

# Clutter SwipeAction::swept

deprecated: 1.14 since: 13

#### Declaration

    void
    swept (
      ClutterSwipeAction* self,
      ClutterActor* actor,
      ClutterSwipeDirection direction,
      gpointer user_data
    )

#### Description [src]

The signal is emitted when a swipe gesture is recognized on the attached actor.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 13
Deprecated since: 1.14
Use the `ClutterSwipeAction::swipe` signal instead.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` attached to the `action`.

  The data is owned by the caller of the function.

`direction`

  Type: `ClutterSwipeDirection`

  The main direction of the swipe gesture.